Subject: Re: [PATCH] [RFC] rebase -m: partial support for copying extra commit headers

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Apr 2025 08:36:15 -0700

Phillip Wood <[email-masked]> writes:

> That's true and we could have a config key to select which "extra"
> headers are propagated.

No, please don't.  No such config key should ever exist.

If something has a defined semantics, which all projects that use
Git can agree on, that is solid enough to deserve to be in the
header part of the commit object (as opposed to one of the trailers
with user-defined semantics that can vary from project to project),
there should never be a way to give it different semantics by
tweaking whether it is or it is not propagated when rewriting.